> For the complete documentation index, see [llms.txt](https://docs.caf.io/llms.txt). Markdown versions of documentation pages are available by appending `.md` to page URLs; this page is available as [Markdown](https://docs.caf.io/caf-sdk/ios/standalone-modules/cafsmartauth/release-notes.md).

# Release Notes

## v1.3.3

### Updates

* **Fingerprint SDK Upgrade**: The underlying FingerprintJS Pro SDK has been updated from version 2.7.0 to 2.16.0

## v1.3.2

### Updates

* Analytics improvements.

## v1.3.0

{% hint style="warning" %}
Versions earlier than 1.3.0 will result iProov Liveness to become inoperable as of March 12, 2026. To ensure proper functionality and service continuity, please use version 1.3.0 or later.
{% endhint %}

### Updates

* Minimum supported iOS version updated to **15.0+**.
* Updated iProov dependency to **13.1.0**.
* **New Failure Options:** Added new failure cases to `CafFailureType`: `eyewear`, `faceNotFound`, `framesBlurry`, `lightingIssues`, `motionIssue`, `backgroundIssue`, `deviceIssue`, `deviceRestart`, `systemError`, `rejected`, `timeout`, `userNotFound`, `processingFault`.

### Important Notice

* Reverse proxy support will be discontinued in a future release. A necessary iProov-related update is required to keep iProov working and prevent certificate issues. **After March 15, 2026, Faceliveness and Faceauth services could be unavailable.**

## v1.2.5

### Fixes

* Resolved Fingerprint conflicts with AdBlockers or public DNS.

## v1.2.3

### Updates

* New version of Faceliveness (7.3.0)

### Fixes

* GetLocationReason Error

## v1.2.1

#### Updates

* New version of Faceliveness (7.2.1)
* New version of FingerPrintPro (2.7.0)

## v1.2.0

#### Updates

* Implementation of a new analytics route

## v1.1.0

#### Updates

* Improved analytics
* Added new [CafThemeConfigurator](/caf-sdk/ios/standalone-modules/cafsmartauth/builder.md#cafthemeconfigurator) method
* Returning the `AttemptId` parameters on the SDK callback

## v1.0.0-beta2

#### Updates

* Improved analytics

## v1.0.0-beta1

First beta release of the new product, designed to offer improved functionality over the previous *FaceLiveness* while remaining true to its core use case.

#### Key Features and Improvements

* **Smart Authentication**: The new product is designed to offer a more robust and reliable authentication solution.
* **Configurable Settings**: The SDK supports backend-defined authentication policies, allowing dynamic configuration of required authentication methods (such as SMS, email, or facial verification). This enables the SDK to adapt in real time to specified security requirements.
* **Face Matching**: The new product includes face matching capabilities.
* **Liveness Detection**: The new product includes liveness detection capabilities.

#### Known Issues

* As this is a **beta** release, we are actively working to resolve a few minor issues.


---

# Agent Instructions
This documentation is published with GitBook. GitBook is the documentation platform designed so that both humans and AI agents can read, navigate, and reason over technical content effectively. Learn more at gitbook.com.

## Querying This Documentation
If you need additional information that is not directly available in this page, you can query the documentation dynamically by asking a question.

Perform an HTTP GET request on the current page URL with the `ask` query parameter, and the optional `goal` query parameter:

```
GET https://docs.caf.io/caf-sdk/ios/standalone-modules/cafsmartauth/release-notes.md?ask=<question>&goal=<endgoal>
```

`ask` is the immediate question: it should be specific, self-contained, and written in natural language.
`goal` is optional and describes the broader end goal you are ultimately trying to accomplish on behalf of the user. GitBook uses it to tailor the answer towards what is most useful for that goal.

The response will contain a direct answer to the question and relevant excerpts and sources from the documentation.

Use this mechanism when the answer is not explicitly present in the current page, you need clarification or additional context, or you want to retrieve related documentation sections.
